# Class Custom

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Custom

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, Iterable<KeyValue<String,String>>, TxtSerializable`

Direct Known Subclasses:
  `GffMarker`

public class Custom extends Marker implements Iterable<KeyValue<String,String>>
This is a custom interval (i.e. intervals provided by the user)

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`Custom()`
`Custom(Marker parent, int start, int end, boolean strandMinus, String id, String label)`

## Method Summary

Modifier and Type
Method
Description
`Custom`
`cloneShallow()`
Perform a shallow clone
`String`
`getLabel()`
`double`
`getScore()`
`boolean`
`hasAnnotations()`
Do we have additional annotations?
`Iterator<KeyValue<String,String>>`
`iterator()`
`void`
`setLabel(String label)`
`void`
`setScore(double score)`
`String`
`toString()`
`boolean`
`variantEffect(Variant variant, VariantEffects changeEffecs)`
Calculate the effect of this variant

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### Custom

public Custom()

### Custom

public Custom(Marker parent, int start, int end, boolean strandMinus, String id, String label)

## Method Details

### cloneShallow

public Custom cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Marker`

### getLabel

public String getLabel()

### getScore

public double getScore()

### hasAnnotations

public boolean hasAnnotations()
Do we have additional annotations?

### iterator

public Iterator<KeyValue<String,String>> iterator()

Specified by:
  `iterator` in interface `Iterable<KeyValue<String,String>>`

### setLabel

public void setLabel(String label)

### setScore

public void setScore(double score)

### toString

public String toString()

Overrides:
  `toString` in class `Marker`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects changeEffecs)
Description copied from class: `Marker`
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`